package com.fs.fastGpt.mapper;


import com.fs.fastGpt.domain.FastGptCollentionData;

import java.util.List;

/**
 * 集合里数据Mapper接口
 * 
 * @author fs
 * @date 2024-09-30
 */
public interface FastGptCollentionDataMapper 
{
    /**
     * 查询集合里数据
     * 
     * @param id 集合里数据主键
     * @return 集合里数据
     */
    public FastGptCollentionData selectFastGptCollentionDataById(String id);

    /**
     * 查询集合里数据列表
     * 
     * @param fastGptCollentionData 集合里数据
     * @return 集合里数据集合
     */
    public List<FastGptCollentionData> selectFastGptCollentionDataList(FastGptCollentionData fastGptCollentionData);

    /**
     * 新增集合里数据
     * 
     * @param fastGptCollentionData 集合里数据
     * @return 结果
     */
    public int insertFastGptCollentionData(FastGptCollentionData fastGptCollentionData);
    public int insertOrUpdateFastGptCollentionData(FastGptCollentionData fastGptCollentionData);

    /**
     * 修改集合里数据
     * 
     * @param fastGptCollentionData 集合里数据
     * @return 结果
     */
    public int updateFastGptCollentionData(FastGptCollentionData fastGptCollentionData);

    /**
     * 删除集合里数据
     * 
     * @param id 集合里数据主键
     * @return 结果
     */
    public int deleteFastGptCollentionDataById(String id);

    /**
     * 批量删除集合里数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastGptCollentionDataByIds(String[] ids);
}
